Pivotal RabbitMQ CVE-2019-11287 Remote Denial of Service Vulnerability

2019-11-22T00:00:00
ID SMNTC-110950
Type symantec
Reporter Symantec Security Response
Modified 2019-11-22T00:00:00

Description

Description

Pivotal RabbitMQ is prone to a remote denial-of-service vulnerability because it fails to sufficiently bounds check user supplied data. Attackers can exploit this issue to crash the affected application, denying service to legitimate users.

Technologies Affected

  • Pivotal RabbitMQ for PCF 1.15
  • Pivotal RabbitMQ for PCF 1.16
  • Pivotal RabbitMQ for PCF 1.16.1
  • Pivotal RabbitMQ for PCF 1.16.2
  • Pivotal RabbitMQ for PCF 1.16.3
  • Pivotal RabbitMQ for PCF 1.16.4
  • Pivotal RabbitMQ for PCF 1.16.5
  • Pivotal RabbitMQ for PCF 1.16.6
  • Pivotal RabbitMQ for PCF 1.17
  • Pivotal RabbitMQ for PCF 1.17.1
  • Pivotal RabbitMQ for PCF 1.17.3
  • Pivotal Software RabbitMQ 3.7
  • Pivotal Software RabbitMQ 3.7.10
  • Pivotal Software RabbitMQ 3.7.15
  • Pivotal Software RabbitMQ 3.7.16
  • Pivotal Software RabbitMQ 3.7.19
  • Pivotal Software RabbitMQ 3.7.2
  • Pivotal Software RabbitMQ 3.7.20
  • Pivotal Software RabbitMQ 3.7.3
  • Pivotal Software RabbitMQ 3.7.5
  • Pivotal Software RabbitMQ 3.7.6
  • Pivotal Software RabbitMQ 3.7.7
  • Pivotal Software RabbitMQ 3.7.8
  • Pivotal Software RabbitMQ 3.7.9
  • Pivotal Software RabbitMQ 3.8

Recommendations

Run all software as a nonprivileged user with minimal access rights.
To reduce the impact of latent vulnerabilities, run the application with the minimal amount of privileges required for functionality.

Deploy network intrusion detection systems to monitor network traffic for malicious activity.
Deploy NIDS to monitor network traffic for signs of anomalous or suspicious activity. This may indicate exploit attempts or activity that results from successful exploits.

Do not follow links provided by unknown or untrusted sources.
To reduce the likelihood of attacks, never visit sites of questionable integrity or follow links provided by unfamiliar or untrusted sources.

Updates are available. Please see the references or vendor advisory for more information.